import std.stdio;

void main()
{
    auto somePrimes = [ 2u, 3, 5, 7, 11, 13 ];
    writeln(somePrimes);
    auto someDoubles = [ 1.5, 3, 4.5 ];
    writeln(someDoubles);

    auto constants = [ 2.71, 3.14, 6.023e22 ];
    writeln(constants);
    constants[0] = 2.21953167;
    writeln(constants);
    auto salutations = [ "привет", "здравствуйте", "здорово" ];
    writeln(salutations);
    salutations[2] = "Да здравствует Цезарь";
    writeln(salutations);

    auto famousNamedConstants = [ "пи" : 3.14, "e" : 2.71, "константа дивана" : 2.22 ];
    writeln(famousNamedConstants);
}
